LDD(1)

NOMBRE
ldd - muestra las dependencias de bibliotecas compartidas

SINOPSIS
ldd [OPTION]... FILE...

DESCRIPCIÓN
ldd muestra las bibliotecas compartidas requeridas por cada programa o biblioteca compartida especificada en la línea de órdenes.

OPCIONES

-V --version
    Imprime el número de versión de ldd.

-v --verbose
    Muestra toda la información, incluyendo p.e. información sobre versiones de símbolos.

-d --data-relocs
    Lleva a cabo las relocalizaciones e informa de cualquier objeto no encontrado (sólo ELF).

-r --function-relocs
    Lleva a cabo las relocalizaciones para los objetos de datos y las funciones, e informa de cualquier objeto o función no encontrados (sólo ELF).

--help
    Información de uso.

OBSERVACIONES
La versión estándar de ldd viene con glibc2. Libc5 viene con una versión más antigua que todavía se puede encontrar en algunos sistemas. Las opciones largas no están soportadas por la versión de libc5. Por otra parte, la versión de glibc2 no soporta la opción -V y sólo posee la opción equivalente --version.

La versión de libc5 de este programa interpreta el nombre de la biblioteca especificada en la línea de órdenes como una ruta a la misma cuando contiene el carácter '/'; en otro caso busca la biblioteca en las localizaciones estándares. Para ejecutarlo sobre una biblioteca compartida que se encuentra en el directorio actual, anteponga al nombre el prefijo "./".

FALLOS
ldd no funciona con bibliotecas compartidas a.out.

ldd no funciona con algunos programas a.out extremadamente antiguos que fueron construidos antes de que el soporte para ldd fuera añadido a las versiones de los compiladores. Si usa ldd con alguno de estos programas, el programa intentará ejecutarse con argc = 0 y los resultados serán impredecibles.

VÉASE TAMBIÉN
ldconfig(8), ld.so(8)